Subject: Re: [EGIT] Push to GitHub caused corruption

From: Robin Rosenberg <[email-masked]>
Date: Tue, 11 Aug 2009 08:10:45 +0200

måndag 10 augusti 2009 23:46:34 skrev John Bito <[email-masked]>:
> Using the 'release' build of EGit (0.4.9.200906240051) I pushed a
> commit to GitHub.  After that, using git to pull, I get 'bad tree
> object' resulting in 'remote: aborting due to possible repository
> corruption on the remote side'.  I had a similar problem back in April
> (using integration builds of 0.4.0).  I'm willing to investigate if
> there's interest in finding the root of the problem.

Fixing problems related to repository integrity is definitely interesting. One
can live all kinds of problem, as long as they don't destroy anything. 

-- robin